> ## Documentation Index
> Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Custom-provider marketplace app update capabilities

> Toggle capabilities for the marketplace app tied to the OAuth client

Toggle capabilities for the marketplace app tied to the OAuth client

```http theme={null}
PUT https://services.leadconnectorhq.com/payments/custom-provider/capabilities
```

## Autorización

<ParamField header="Authorization" type="string" required>
  Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication).
</ParamField>

<ParamField header="Version" type="string" required default="2021-07-28">
  Versión de la API.
</ParamField>

## Body

<ParamField body="supportsSubscriptionSchedules" type="boolean" required default="True">
  Whether the marketplace app supports subscription schedules or not
</ParamField>

<ParamField body="companyId" type="string" default="Yjnwuduw83e8x30sm0">
  Company id. Mandatory if locationId is not provided
</ParamField>

<ParamField body="locationId" type="string" default="Yjnwuduw83e8x30sm0">
  Account / Account id. Mandatory if companyId is not provided
</ParamField>

## Respuestas

<Accordion title="200 - Successful response">
  <ResponseField name="success" type="boolean" required default="true">
    Whether the custom provider capabilities are updated or not. true represents capabilities are updated
  </ResponseField>

  ```json theme={null}
  {
    "success": "true"
  }
  ```
</Accordion>

<Accordion title="400 - Bad Request">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="401 - Unauthorized">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="422 - Unprocessable Entity">
  ```json theme={null}
  {}
  ```
</Accordion>

## Ejemplo

<CodeGroup>
  ```bash cURL theme={null}
  curl -X PUT 'https://services.leadconnectorhq.com/payments/custom-provider/capabilities' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Version: 2021-07-28' \
    -H 'Content-Type: application/json' \
    -d '{
    "supportsSubscriptionSchedules": true,
    "companyId": "Yjnwuduw83e8x30sm0",
    "locationId": "Yjnwuduw83e8x30sm0"
  }'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://services.leadconnectorhq.com/payments/custom-provider/capabilities', {
    method: 'PUT',
    headers: {
      Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
      Version: '2021-07-28',
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({"supportsSubscriptionSchedules": true, "companyId": "Yjnwuduw83e8x30sm0", "locationId": "Yjnwuduw83e8x30sm0"}),
  });
  const data = await response.json();
  ```

  ```python Python theme={null}
  import os, requests
  response = requests.request(
      'PUT',
      'https://services.leadconnectorhq.com/payments/custom-provider/capabilities',
      headers={
          'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
          'Version': '2021-07-28',
          'Content-Type': 'application/json',
      },
      json={"supportsSubscriptionSchedules": true, "companyId": "Yjnwuduw83e8x30sm0", "locationId": "Yjnwuduw83e8x30sm0"},
  )
  data = response.json()
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init('https://services.leadconnectorhq.com/payments/custom-provider/capabilities');
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST => 'PUT',
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
          'Version: 2021-07-28',
          'Content-Type: application/json',
      ],
      CURLOPT_POSTFIELDS => json_encode({'supportsSubscriptionSchedules': true, 'companyId': 'Yjnwuduw83e8x30sm0', 'locationId': 'Yjnwuduw83e8x30sm0'}),
  ]);
  $data = json_decode(curl_exec($ch), true);
  ```
</CodeGroup>
